xine-lib: opengl_driver_t Struct Reference

xine-lib 1.2.12

Data Fields
opengl_driver_t Struct Reference

## Data Fields
vo_driver_t | vo_driver
vo_scale_t | sc
alphablend_t | alphablend_extra_data
Display * | display
int | screen
Drawable | drawable
pthread_t | render_thread
enum render_e | render_action
int | render_frame_changed
pthread_mutex_t | render_action_mutex
pthread_cond_t | render_action_cond
pthread_cond_t | render_return_cond
int | last_width
int | last_height
int | render_fun_id
int | render_min_fps
int | render_double_buffer
int | gui_width
int | gui_height
GLXContext | context
XVisualInfo * | vinfo
GLuint | fprog
int | tex_width
int | tex_height
const GLubyte * | gl_exts
int | has_bgra
int | has_texobj
int | has_fragprog
int | has_pixbufobj
PFNMYGLBINDPROGRAMARBPROC | glBindProgramARB
PFNMYGLGENPROGRAMSARBPROC | glGenProgramsARB
PFNMYGLPROGRAMSTRINGARBPROC | glProgramStringARB
PFNMYGLPROGRAMENVPARAMETER4FARBPROC | glProgramEnvParameter4fARB
PFNMYGLGENTEXTURESEXTPROC | glGenTexturesEXT
PFNMYGLBINDTEXTUREEXTPROC | glBindTextureEXT
int | brightness
int | contrast
int | saturation
uint8_t * | yuv2rgb_cmap
yuv2rgb_factory_t * | yuv2rgb_factory
int | cm_yuv2rgb
int | cm_fragprog
int | cm_state
uint8_t | cm_lut [32]
opengl_frame_t * | frame [4]
x11osd * | xoverlay
int | ovl_changed
config_values_t * | config
xine_t * | xine

## Field Documentation

## ◆ alphablend_extra_data

alphablend_t opengl_driver_t::alphablend_extra_data

## ◆ brightness

int opengl_driver_t::brightness

## ◆ cm_fragprog

int opengl_driver_t::cm_fragprog

## ◆ cm_lut

uint8_t opengl_driver_t::cm_lut[32]

## ◆ cm_state

int opengl_driver_t::cm_state

## ◆ cm_yuv2rgb

int opengl_driver_t::cm_yuv2rgb

## ◆ config

config_values_t* opengl_driver_t::config

## ◆ context

GLXContext opengl_driver_t::context

## ◆ contrast

int opengl_driver_t::contrast

## ◆ display

Display* opengl_driver_t::display

## ◆ drawable

Drawable opengl_driver_t::drawable

## ◆ fprog

GLuint opengl_driver_t::fprog

## ◆ frame

opengl_frame_t* opengl_driver_t::frame[4]

## ◆ gl_exts

const GLubyte* opengl_driver_t::gl_exts

## ◆ glBindProgramARB

PFNMYGLBINDPROGRAMARBPROC opengl_driver_t::glBindProgramARB

## ◆ glBindTextureEXT

PFNMYGLBINDTEXTUREEXTPROC opengl_driver_t::glBindTextureEXT

## ◆ glGenProgramsARB

PFNMYGLGENPROGRAMSARBPROC opengl_driver_t::glGenProgramsARB

## ◆ glGenTexturesEXT

PFNMYGLGENTEXTURESEXTPROC opengl_driver_t::glGenTexturesEXT

## ◆ glProgramEnvParameter4fARB

PFNMYGLPROGRAMENVPARAMETER4FARBPROC opengl_driver_t::glProgramEnvParameter4fARB

## ◆ glProgramStringARB

PFNMYGLPROGRAMSTRINGARBPROC opengl_driver_t::glProgramStringARB

## ◆ gui_height

int opengl_driver_t::gui_height

## ◆ gui_width

int opengl_driver_t::gui_width

## ◆ has_bgra

int opengl_driver_t::has_bgra

## ◆ has_fragprog

int opengl_driver_t::has_fragprog

## ◆ has_pixbufobj

int opengl_driver_t::has_pixbufobj

## ◆ has_texobj

int opengl_driver_t::has_texobj

## ◆ last_height

int opengl_driver_t::last_height

## ◆ last_width

int opengl_driver_t::last_width

## ◆ ovl_changed

int opengl_driver_t::ovl_changed

## ◆ render_action

enum render_e opengl_driver_t::render_action

## ◆ render_action_cond

pthread_cond_t opengl_driver_t::render_action_cond

## ◆ render_action_mutex

pthread_mutex_t opengl_driver_t::render_action_mutex

## ◆ render_double_buffer

int opengl_driver_t::render_double_buffer

## ◆ render_frame_changed

int opengl_driver_t::render_frame_changed

## ◆ render_fun_id

int opengl_driver_t::render_fun_id

## ◆ render_min_fps

int opengl_driver_t::render_min_fps

## ◆ render_return_cond

pthread_cond_t opengl_driver_t::render_return_cond

## ◆ render_thread

pthread_t opengl_driver_t::render_thread

## ◆ saturation

int opengl_driver_t::saturation

## ◆ sc

vo_scale_t opengl_driver_t::sc

## ◆ screen

int opengl_driver_t::screen

## ◆ tex_height

int opengl_driver_t::tex_height

## ◆ tex_width

int opengl_driver_t::tex_width

## ◆ vinfo

XVisualInfo* opengl_driver_t::vinfo

## ◆ vo_driver

vo_driver_t opengl_driver_t::vo_driver

## ◆ xine

xine_t* opengl_driver_t::xine

## ◆ xoverlay

x11osd* opengl_driver_t::xoverlay

## ◆ yuv2rgb_cmap

uint8_t* opengl_driver_t::yuv2rgb_cmap

## ◆ yuv2rgb_factory

yuv2rgb_factory_t* opengl_driver_t::yuv2rgb_factory

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/video_out_opengl.c